## Contributing to Documentation

Prowler documentation is built using `mkdocs`, allowing contributors to easily add or enhance documentation.

### Installation and Setup

Install all necessary dependencies using: `poetry install --with docs`.

1. Install `mkdocs` using your preferred package manager.

2. Running the Documentation Locally
Navigate to the `prowler` repository folder.
Start the local documentation server by running: `mkdocs serve`.
Open `http://localhost:8000` in your browser to view live updates.

3. Making Documentation Changes
Make all needed changes to docs or add new documents. Edit existing Markdown (.md) files inside `prowler/docs`.
To add new sections or files, update the `mkdocs.yaml` file located in the root directory of Prowler’s repository.

4. Submitting Changes

Once documentation updates are complete:

Submit a pull request for review.

The Prowler team will assess and merge contributions.

Your efforts help improve Prowler documentation—thank you for contributing!
